diff --git a/apps/comments/l10n/zh_CN.js b/apps/comments/l10n/zh_CN.js
index 9a459c92b6..336636e2bf 100644
--- a/apps/comments/l10n/zh_CN.js
+++ b/apps/comments/l10n/zh_CN.js
@@ -16,16 +16,16 @@ OC.L10N.register(
     "Error occurred while retrieving comment with id {id}" : "检索 id 为 {id} 的评论出错",
     "Error occurred while updating comment with id {id}" : "更新 id 为 {id} 的评论出错",
     "Error occurred while posting comment" : "发布评论出错",
-    "_%n unread comment_::_%n unread comments_" : ["%n 未读评论"],
+    "_%n unread comment_::_%n unread comments_" : ["%n 未读评论"],
     "Comment" : "评论",
     "You commented" : "您的评论",
     "%1$s commented" : "%1$s 已评论",
-    "{author} commented" : "{author} 评论了",
-    "You commented on %1$s" : "您在 %1$s 的评论",
+    "{author} commented" : "{author} 评论了",
+    "You commented on %1$s" : "您在 %1$s 的评论",
     "You commented on {file}" : "您对 {file} 的评论",
     "%1$s commented on %2$s" : "%1$s 评论了 %2$s",
     "{author} commented on {file}" : "{author} 对 {file} 的评论",
-    "<strong>Comments</strong> for files" : "文件的<strong>评论</strong>",
+    "<strong>Comments</strong> for files" : "文件的<strong>评论</strong>",
     "A (now) deleted user mentioned you in a comment on “%s”" : "一个(已)被删除的用户在 “%s” 的评论中提到了您",
     "A (now) deleted user mentioned you in a comment on “{file}”" : "一个(已)被删除的用户在 “{file}” 的评论中提到了您",
     "%1$s mentioned you in a comment on “%2$s”" : "%1$s 在 “%2$s” 的评论中提到了您",
diff --git a/apps/comments/l10n/zh_CN.json b/apps/comments/l10n/zh_CN.json
index be867c5b85..676ec612d8 100644
--- a/apps/comments/l10n/zh_CN.json
+++ b/apps/comments/l10n/zh_CN.json
@@ -14,16 +14,16 @@
     "Error occurred while retrieving comment with id {id}" : "检索 id 为 {id} 的评论出错",
     "Error occurred while updating comment with id {id}" : "更新 id 为 {id} 的评论出错",
     "Error occurred while posting comment" : "发布评论出错",
-    "_%n unread comment_::_%n unread comments_" : ["%n 未读评论"],
+    "_%n unread comment_::_%n unread comments_" : ["%n 未读评论"],
     "Comment" : "评论",
     "You commented" : "您的评论",
     "%1$s commented" : "%1$s 已评论",
-    "{author} commented" : "{author} 评论了",
-    "You commented on %1$s" : "您在 %1$s 的评论",
+    "{author} commented" : "{author} 评论了",
+    "You commented on %1$s" : "您在 %1$s 的评论",
     "You commented on {file}" : "您对 {file} 的评论",
     "%1$s commented on %2$s" : "%1$s 评论了 %2$s",
     "{author} commented on {file}" : "{author} 对 {file} 的评论",
-    "<strong>Comments</strong> for files" : "文件的<strong>评论</strong>",
+    "<strong>Comments</strong> for files" : "文件的<strong>评论</strong>",
     "A (now) deleted user mentioned you in a comment on “%s”" : "一个(已)被删除的用户在 “%s” 的评论中提到了您",
     "A (now) deleted user mentioned you in a comment on “{file}”" : "一个(已)被删除的用户在 “{file}” 的评论中提到了您",
     "%1$s mentioned you in a comment on “%2$s”" : "%1$s 在 “%2$s” 的评论中提到了您",
diff --git a/apps/federatedfilesharing/l10n/sq.js b/apps/federatedfilesharing/l10n/sq.js
index 2bbf90d42c..edf1362df9 100644
--- a/apps/federatedfilesharing/l10n/sq.js
+++ b/apps/federatedfilesharing/l10n/sq.js
@@ -13,6 +13,9 @@ OC.L10N.register(
     "Press Ctrl-C to copy." : "Shtypni Ctrl-C për të kopjuar",
     "Invalid Federated Cloud ID" : "ID Federated Cloud e pavlefshme",
     "Server to server sharing is not enabled on this server" : "Shpërndarja server në server nuk është e mundësuar në këtë server",
+    "Couldn't establish a federated share." : "Nuk mund të vendosni një shpërndarje të federuar",
+    "Couldn't establish a federated share, maybe the password was wrong." : "Nuk mund të vendoset një shpërndarje e federuar, ndoshta fjalëkalimi ishte gabim.",
+    "Federated Share request was successful, you will receive a invitation. Check your notifications." : "Kërkesa për shpërndarje te federuar ishte e suksesshme, ju do të merrni një ftesë. Kontrolloni njoftimet tuaja.",
     "Not allowed to create a federated share with the owner." : "Nuk lejohet te krijoni një shpërndarje të federuar me zotëruesin",
     "Invalid or untrusted SSL certificate" : "Çertifikatë SSL e pavlefshme ose e dyshimtë",
     "Storage not valid" : "memorja nuk është e vlefshme",
diff --git a/apps/federatedfilesharing/l10n/sq.json b/apps/federatedfilesharing/l10n/sq.json
index d1828c95ee..4747db18be 100644
--- a/apps/federatedfilesharing/l10n/sq.json
+++ b/apps/federatedfilesharing/l10n/sq.json
@@ -11,6 +11,9 @@
     "Press Ctrl-C to copy." : "Shtypni Ctrl-C për të kopjuar",
     "Invalid Federated Cloud ID" : "ID Federated Cloud e pavlefshme",
     "Server to server sharing is not enabled on this server" : "Shpërndarja server në server nuk është e mundësuar në këtë server",
+    "Couldn't establish a federated share." : "Nuk mund të vendosni një shpërndarje të federuar",
+    "Couldn't establish a federated share, maybe the password was wrong." : "Nuk mund të vendoset një shpërndarje e federuar, ndoshta fjalëkalimi ishte gabim.",
+    "Federated Share request was successful, you will receive a invitation. Check your notifications." : "Kërkesa për shpërndarje te federuar ishte e suksesshme, ju do të merrni një ftesë. Kontrolloni njoftimet tuaja.",
     "Not allowed to create a federated share with the owner." : "Nuk lejohet te krijoni një shpërndarje të federuar me zotëruesin",
     "Invalid or untrusted SSL certificate" : "Çertifikatë SSL e pavlefshme ose e dyshimtë",
     "Storage not valid" : "memorja nuk është e vlefshme",
diff --git a/settings/l10n/lv.js b/settings/l10n/lv.js
index 120e640a25..6d5c794c97 100644
--- a/settings/l10n/lv.js
+++ b/settings/l10n/lv.js
@@ -174,6 +174,7 @@ OC.L10N.register(
     "Allow sharing with groups" : "Atļaut koplietošanu ar grupu",
     "Restrict users to only share with users in their groups" : "Ierobežot lietotājiem koplietot tikai ar lietotājiem savās grupās",
     "Exclude groups from sharing" : "Izslēgt grupu no koplietošanas",
+    "Tips & tricks" : "Padomi un ieteikumi",
     "This is particularly recommended when using the desktop client for file synchronisation." : "Tas ir īpaši ieteicams, ja, izmantojot darbvirsmas klientu, lai veiktu failu sinhronizāciju.",
     "How to do backups" : "Kā veikt dublēšanu",
     "Advanced monitoring" : "Papildu uzraudzība",
diff --git a/settings/l10n/lv.json b/settings/l10n/lv.json
index b184963401..7a8ba7ba36 100644
--- a/settings/l10n/lv.json
+++ b/settings/l10n/lv.json
@@ -172,6 +172,7 @@
     "Allow sharing with groups" : "Atļaut koplietošanu ar grupu",
     "Restrict users to only share with users in their groups" : "Ierobežot lietotājiem koplietot tikai ar lietotājiem savās grupās",
     "Exclude groups from sharing" : "Izslēgt grupu no koplietošanas",
+    "Tips & tricks" : "Padomi un ieteikumi",
     "This is particularly recommended when using the desktop client for file synchronisation." : "Tas ir īpaši ieteicams, ja, izmantojot darbvirsmas klientu, lai veiktu failu sinhronizāciju.",
     "How to do backups" : "Kā veikt dublēšanu",
     "Advanced monitoring" : "Papildu uzraudzība",
